/*
	C4 for BMM
	Version 0.1
	Copyright  20122013, Danakt Frost

	Description:
	This plugin is designed for buying C4 bomb in the Buy Menu Management.
	And also, this plugin is an example for making items to the Buy Menu Management.
*/

#define PLUGIN "[BMM] Weapon: C4"
#define VERSION "0.1"
#define AUTHOR "Danakt Frost"

#include <amxmodx>
#include <cstrike>
#include <engine>
#include <fun>
#include <bmm>

new g_itemid;
new g_bombsite;

public plugin_init()
{
	register_plugin( PLUGIN, VERSION, AUTHOR );

	//register C4 in menu
	g_itemid = bmm_add_item( "C4", 5250, BMM_TEAM_T, BMM_EQUIP );

	//get bombsite on map
	g_bombsite = find_ent_by_class( -1 , "func_bomb_target" );
}

//select item in menu
public bmm_item_selected( id, itemid )
{
	if( itemid == g_itemid )
	{
		//if bombsite is present on the map
		if( g_bombsite  )
		{
			//If user already have C4
			if( user_has_weapon( id, CSW_C4 ) )
			{
				//inform the player about it
				client_print( id,  print_center, "#Cstrike_TitlesTXT_Already_Have_One" );
				return PLUGIN_HANDLED;
			}
			//else, if user don't have C4
			else
			{
				//give C4 to the player
				give_item( id, "weapon_c4" );
			}	
		}
		//if bombsite is not present on the map
		else
		{
			//inform the player about it
			client_print( id, print_center, "You can't buy C4 on this map!" );
			return PLUGIN_HANDLED;
		}
	}
	return PLUGIN_CONTINUE;
}